public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libofx/
Date: Sun,  4 Sep 2022 22:56:45 +0000 (UTC)	[thread overview]
Message-ID: <1662332198.e2f45f79f593e512eb6da5ffdeced0b6bcfdd08b.sam@gentoo> (raw)

commit:     e2f45f79f593e512eb6da5ffdeced0b6bcfdd08b
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Sep  4 22:21:55 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Sep  4 22:56:38 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e2f45f79

dev-libs/libofx: add 0.10.6

Not porting to CMake yet as this is the first
release with it and there's some fixes
we need to land upstream first.

(And it lacks tests + docs for now.)

Bug: https://github.com/libofx/libofx/pull/73
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/libofx/Manifest             |  1 +
 dev-libs/libofx/libofx-0.10.6.ebuild | 50 ++++++++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-libs/libofx/Manifest b/dev-libs/libofx/Manifest
index ca4371e0ffd4..bd8bd434efdf 100644
--- a/dev-libs/libofx/Manifest
+++ b/dev-libs/libofx/Manifest
@@ -1 +1,2 @@
 DIST libofx-0.10.3.tar.gz 225132 BLAKE2B 29dff4cb79a4a535bf255c787e184d103ecdbe975bb4bb223b675bbacaff9f8a228ae0a3dffe7710c2707496ac65c4f48ce993243b8353172c53cb02067d9267 SHA512 6c024628a6a11d9542c669a438223331a033eb820b1a2c3001c60d1ab3fad45ccdec64f9b54dd206fe0058ead8e14e751eb7a3bd88e8f9e1013b0bdd5b6c5242
+DIST libofx-0.10.6.tar.gz 1836880 BLAKE2B 4c5fd24576f969e9ced311e112f183596905bd1225dbfe8646a8f24d545d49fe3b496baadf46e174bfb708ffbaac67b44e746cc8acb8e74509ef5ec22f8f3972 SHA512 8c8a569ca3083c7101c051857d286c3615461fdd88065666d7d6dc53a95d1251a6e5fd44be6cbf54e3591d9ba2b3916c846a4e9e83d6a6c4724e35a193c6a679

diff --git a/dev-libs/libofx/libofx-0.10.6.ebuild b/dev-libs/libofx/libofx-0.10.6.ebuild
new file mode 100644
index 000000000000..87cfdff2482d
--- /dev/null
+++ b/dev-libs/libofx/libofx-0.10.6.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic
+
+DESCRIPTION="Library to support the Open Financial eXchange XML format"
+HOMEPAGE="https://github.com/libofx/libofx"
+SRC_URI="https://github.com/libofx/libofx/releases/download/${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0/10"
+KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+	dev-util/gengetopt
+	sys-apps/help2man
+	virtual/pkgconfig
+	doc? ( app-doc/doxygen )
+	test? ( app-crypt/gnupg )
+"
+RDEPEND="
+	>app-text/opensp-1.5
+	app-text/openjade
+	>=dev-cpp/libxmlpp-2.40.1:2.6
+	>=net-misc/curl-7.9.7
+	virtual/libiconv
+"
+DEPEND="${RDEPEND}"
+
+src_configure() {
+	# bug #566456
+	append-cxxflags -std=c++14
+
+	econf $(use_enable doc html-docs)
+}
+
+src_compile() {
+	emake all $(usev doc)
+}
+
+src_install() {
+	default
+
+	find "${ED}" -name '*.la' -type f -delete || die
+	find "${ED}" -name '*.a' -type f -delete || die
+}


             reply	other threads:[~2022-09-04 22:56 UTC|newest]

Thread overview: 46+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-09-04 22:56 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-12-18 12:45 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libofx/ Sam James
2022-12-18 11:55 Sam James
2022-12-18 11:47 Sam James
2022-10-04  5:33 Sam James
2022-10-04  5:33 Sam James
2022-10-02  2:26 Sam James
2022-03-30 14:14 Yixun Lan
2021-12-05 18:39 Sam James
2021-12-05 18:32 Sam James
2021-12-05  4:45 Sam James
2021-09-29 22:54 Sam James
2021-06-07  6:25 Sergei Trofimovich
2021-05-30  9:50 Agostino Sarubbo
2021-05-23 23:05 Agostino Sarubbo
2021-05-23 22:28 Agostino Sarubbo
2021-04-25  6:19 Sam James
2021-03-06  7:24 Sam James
2021-03-02 14:54 Thomas Deutschmann
2021-03-01 17:05 Sam James
2021-03-01 17:05 Sam James
2021-03-01  9:20 Agostino Sarubbo
2021-02-25  8:36 Sergei Trofimovich
2021-02-24 20:24 Sam James
2021-01-25 21:44 Sam James
2021-01-03 22:59 Sam James
2021-01-03 22:56 Sam James
2020-08-29 13:21 Sam James
2019-10-24 11:40 Agostino Sarubbo
2019-10-23 12:45 Agostino Sarubbo
2019-10-23 12:30 Agostino Sarubbo
2019-10-22 18:11 Andreas Sturmlechner
2019-10-22 18:11 Andreas Sturmlechner
2019-10-15 22:42 Andreas Sturmlechner
2019-10-15 22:42 Andreas Sturmlechner
2019-09-02 16:54 Matt Turner
2019-08-23 10:07 Agostino Sarubbo
2019-08-23 10:03 Agostino Sarubbo
2019-08-20 20:03 Aaron Bauman
2019-08-19 11:37 Agostino Sarubbo
2019-08-18 21:51 Agostino Sarubbo
2019-08-18  2:13 Aaron Bauman
2019-08-18  2:13 Aaron Bauman
2016-04-12  4:52 Jeroen Roovers
2015-12-25 15:13 Agostino Sarubbo
2015-12-19 10:10 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1662332198.e2f45f79f593e512eb6da5ffdeced0b6bcfdd08b.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox